---
title: "Get API Client Credentials"
slug: "get-api-client-credentials"
updated: 2025-01-13T09:02:07Z
published: 2025-06-23T14:52:52Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API Client Credentials

Get/env-mgmt/1.0/api-key/clients/{id}

This API enables users to fetch an API Client Credentials by ID.

### Notice

 Accessing the Policy Management APIs is through a dedicated domain/URL according to your PlainID Tenant Location:   

  `https://api.{REGION}.plainid.io`
    
   

  **United States (US)** -
  `https://api.us1.plainid.io`   
 **Canada (US)** -
  `https://api.ca1.plainid.io`   
 **Europe (US)** -
  `https://api.eu1.plainid.io`  

Replace`{REGION}` with your PlainID Tenant region (e.g. us1, eu1, ca1, etc.).

  

### Important note about headers

Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.   
 

#### Headers

 *Required 

| Header | Value | cURL Line |
| --- | --- | --- |
| Accept | `application/json` | `-H"Accept: application/json"` |

  

### cURL Sample Guidelines

In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right. They will then appear in the cURL sample on the bottom of the page in the correct format.

   

### Using HTML Encoded Special Characters

 

Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this [HTML URL Encoding Reference](https://www.w3schools.com/tags/ref_urlencode.ASP) for a full list.

   

SecurityHTTPType bearer

For more details about Administration API Authentication, check out the Authentication APIs documentation. Provide your bearer token in the Authorization header when making requests to protected resources. Example: `Authorization: Bearer 123`

Path parametersidstringRequired

Client ID to fetch

Responses200

Client

<select class='api-response-data' aria-label='Media type'><option value='f4676cf9-b4a3-4a47-82c2-fbd26d122c7a'>application/json</option>
</select>object  idstring    
ownerIdstring  (UUID)    
ownerTypestring    
namestring    
descriptionstring    
secretstring    

null value

tokenDurationstring  (ISO-8601 duration)    ExamplePT60M
permissionstring    

403

Forbidden

<select class='api-response-data' aria-label='Media type'><option value='4e221ac6-31c5-44b3-a294-8c6aada146e8'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='1ea42759-7d14-4e4d-b0a7-fce02ac0d0e1'>forbidden environment</option>
<option value='de6a8fb5-dab6-4f89-b87c-efbccaf3341b'>forbidden tenant</option>
</select>forbidden environment

```json
{
  "id": "EW60XA",
  "status": 403,
  "name": "forbiddenEnvironment",
  "message": "operation get for resource Environment {ownerId} is not allowed because the current user does not have the appropriate permissions"
}
```

forbidden tenant

```json
{
  "id": "EW41XA",
  "status": 403,
  "name": "forbiddenTenant",
  "message": "operation get for resource Environment {ownerId} is not allowed because the current user does not have the appropriate permissions"
}
```

Expand Allobject  codestring    
idstring    
statusinteger    
namestring    
messagestring    
argsobject  pathstring    

404

Client not found

<select class='api-response-data' aria-label='Media type'><option value='879ee5dc-d53b-4403-8e52-2397614f1c0a'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='59677f83-a364-4f66-b71d-4ff9a07d3154'>client not found</option>
</select>client not found

```json
{
  "id": "EW42XA",
  "status": 404,
  "name": "clientNotFoundError",
  "message": "Client {name} not found"
}
```

Expand Allobject  codestring    
idstring    
statusinteger    
namestring    
messagestring    
argsobject  pathstring
